CiiuList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class CiiuList

    java.lang.Object
      com.fenalco.entities.CiiuList

    public class CiiuList

extends java.lang.Object

Author:
  Juan Ernesto Peña Kaltekis

Field Summary
`private java.util.Vector` | `ciius` Este `Hashtable` agrupa los objetos del tipo `Ciiu` que conforman el listado, está diseñado de la siguiente forma: key: id del código Ciiu`ciiuId` value: Objeto del tipo `Ciiu`

Constructor Summary
`CiiuList()` Constructor por defecto de la clase

Method Summary
`java.util.Vector` | `getCiius()` Consultor para el atributo ciius.
`boolean` | `loadData()` Este método carga de base de datos todos los registros de la tabla ciiu en el atributo sections.
`void` | `setCiius(java.util.Vector ciius)` Modificador para el atributo ciius.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ciius

    private java.util.Vector ciius

  Este `Hashtable` agrupa los objetos del tipo `Ciiu` que conforman el listado, está diseñado de la siguiente forma: key: id del código Ciiu`ciiuId` value: Objeto del tipo `Ciiu`

Constructor Detail

### CiiuList

    public CiiuList()

  Constructor por defecto de la clase

Method Detail

### loadData

    public boolean loadData()

  Este método carga de base de datos todos los registros de la tabla ciiu en el atributo sections.

### getCiius

    public java.util.Vector getCiius()

  Consultor para el atributo ciius.

  Returns:
    Valor del atributo ciius.

### setCiius

    public void setCiius(java.util.Vector ciius)

  Modificador para el atributo ciius.

  Parameters:
    `sections` - Nuevo valor del atributo ciius.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD